Subject: bug#53188: 28.0.90; if tooltip-mode is off, modeline context menu blocks minibuffer at column 36

From: Van Ly <[email-masked]>
Date: Fri, 14 Jan 2022 10:30:04 +0000 (UTC)

On Thu, 13 Jan 2022, Eli Zaretskii wrote:

>> Date: Thu, 13 Jan 2022 13:24:43 +0000 (UTC)
>> From: Van Ly <[email-masked]>
>> cc: [email-masked]
>>
>>> So you are actually asking for a new feature, whereby the tooltips are
>>> not shown at all, is that right?
>>>
>>
>> No.  I think, I'm asking for the echo area to be readable when text
>> is there.
>
> Then I don't understand what you wanted to say by this part:
>
>>>>       I had tooltip-mode set nil.  I didn't expect the echo area to
>>>> contain the tooltip.  There was text in the echo area and I couldn't
>>>> get the modeline context menu out of the way to read it.
>
> This seems to mean that you don't want the tooltip text to be
> displayed in the echo area.  But if it isn't displayed in the echo
> area, where do you want it to be displayed?
>

Come to think of it, what I'd like is a volume dial for adjusting the 
verbosity level closer to zero in the echo area and as a fallback I 
can always jump to the *Messages* buffer and see.  The unwanted 
tooltip text can pool there.  Maybe, the verbosity levels can be

   . 100% All
   . 75% Chatty
   . 50% Balanced
   . 25% Important only
   . 0% Quiet

Specific to this bug report.  The problem is the modeline context 
menu gets in the way of reading the echo area and the fix is, as 
you've said, is for an avoid area hint to tell modeline context menu 
where to go.

>> When I've disabled the text associated with the tooltip by
>> setting tooltip-mode to nil, I assumed I wouldn't have reached this
>> point where I have to ask for the tooltip text not to show.
>
> The doc string of tooltip-mode says, among other things:
>
>  When Tooltip mode is disabled, Emacs displays help text in the
>  echo area, instead of making a pop-up window.
>

ah, without confirming the in the documentation, I was in the 
mistaken belief when tooltip mode is disabled the associated text 
description is on mute or masked out.

Thanks.

-- 
vl